Bug 438627 - klamav fails to rebuild in rawhide, causing a broken dep
klamav fails to rebuild in rawhide, causing a broken dep
Product: Fedora
Classification: Fedora
Component: klamav (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: 438541 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-03-23 08:43 EDT by Alex Lancaster
Modified: 2008-03-28 02:36 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.42-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-28 02:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2008-03-23 08:43:05 EDT
klamav is currently uninstallable and causes a broken dep because a newer clamav
with a newer soname has been built.

I tried a straight rebuild, but if fails:


appears to be a compilation failure of some sort (could be gcc 4.3 related, but
not sure):

options.c: In function 'main':
options.c:122: warning: implicit declaration of function 'mprintf'
clamdmail.c: In function 'clamdscan':
clamdmail.c:103: warning: implicit declaration of function 'mprintf'
clamdmail.c:154: warning: implicit declaration of function 'cli_dbgmsg'
clamdmail.c:174: warning: implicit declaration of function 'client'
clamdmail.c:182: warning: pointer targets in passing argument 3 of 'cl_load'
differ in signedness
Comment 1 Rex Dieter 2008-03-24 08:15:51 EDT
Yup, clamav changed api, see also bug #438541
Comment 2 Alex Lancaster 2008-03-24 08:28:22 EDT
So why did the clamav maintainer bump the soname if the dependent packages
haven't been rewritten to use the new API?  This causes at least one other
broken dep for gurlchecker:

gurlchecker-0.10.1-6.fc9.i386 requires libclamav.so.3

this also fails rebuild against new clamav:

http://koji.fedoraproject.org/koji/taskinfo?taskID=527101  (no bugzilla bug yet)
Comment 3 Rex Dieter 2008-03-24 08:48:11 EDT
Alex, I feel your pain, but you're asking in the wrong place (commenting in
#438541 would reach the desired target audience). :)
Comment 4 Kevin Kofler 2008-03-28 01:50:05 EDT
*** Bug 438541 has been marked as a duplicate of this bug. ***
Comment 5 Kevin Kofler 2008-03-28 02:36:33 EDT
I fixed gurlchecker too while I was at it (one-line fix, same as one of the 
problems I fixed in klamav). Hopefully that should be all the fallout from the 
new ClamAV version. There's nothing else in Fedora requiring libclamav.so.3 in 
any case.

Note You need to log in before you can comment on or make changes to this bug.